import { ElementRef, TemplateRef, AfterContentInit, EventEmitter } from '@angular/core';
import { GrwitMenu } from './menu';
export declare class GrwitMenuItem implements AfterContentInit {
    private readonly _elementRef;
    class: string;
    disableRipple: boolean;
    private _disabled;
    disabled: any;
    subMenu: GrwitMenu;
    submenuWrapper: ElementRef;
    itemContent: TemplateRef<any>;
    readonly click: EventEmitter<any>;
    readonly restrictHeight: boolean;
    readonly unstyled: boolean;
    hasSubmenu: boolean;
    constructor(_elementRef: ElementRef);
    ngAfterContentInit(): void;
    clickProxy(): void;
    _getHostElement(): any;
    _hasHostAttributes(...attributes: string[]): boolean;
}
